Package org.springframework.security.web.access.expression

# Class ExpressionBasedFilterInvocationSecurityMetadataSource

java.lang.Object
org.springframework.security.web.access.intercept.DefaultFilterInvocationSecurityMetadataSource
org.springframework.security.web.access.expression.ExpressionBasedFilterInvocationSecurityMetadataSource

All Implemented Interfaces:
  `org.springframework.aop.framework.AopInfrastructureBean`, `org.springframework.security.access.SecurityMetadataSource`, `FilterInvocationSecurityMetadataSource`

public final class ExpressionBasedFilterInvocationSecurityMetadataSource extends DefaultFilterInvocationSecurityMetadataSource
Expression-based `FilterInvocationSecurityMetadataSource`.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`ExpressionBasedFilterInvocationSecurityMetadataSource(LinkedHashMap<RequestMatcher,Collection<org.springframework.security.access.ConfigAttribute>> requestMap, org.springframework.security.access.expression.SecurityExpressionHandler<FilterInvocation> expressionHandler)`

## Method Summary

### Methods inherited from class org.springframework.security.web.access.intercept.DefaultFilterInvocationSecurityMetadataSource

`getAllConfigAttributes, getAttributes, supports`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpressionBasedFilterInvocationSecurityMetadataSource

public ExpressionBasedFilterInvocationSecurityMetadataSource(LinkedHashMap<RequestMatcher,Collection<org.springframework.security.access.ConfigAttribute>> requestMap, org.springframework.security.access.expression.SecurityExpressionHandler<FilterInvocation> expressionHandler)